/*******************************************************************************
* File Name: PO_OLED_VCCEN.c  
* Version 1.80
*
* Description:
*  This file contains API to enable firmware control of a Pins component.
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#include "cytypes.h"
#include "PO_OLED_VCCEN.h"

/* APIs are not generated for P15[7:6] on PSoC 5 */
#if !(CY_PSOC5A &&\
	 PO_OLED_VCCEN__PORT == 15 && ((PO_OLED_VCCEN__MASK & 0xC0) != 0))


/*******************************************************************************
* Function Name: PO_OLED_VCCEN_Write
********************************************************************************
*
* Summary:
*  Assign a new value to the digital port's data output register.  
*
* Parameters:  
*  prtValue:  The value to be assigned to the Digital Port. 
*
* Return: 
*  None
*  
*******************************************************************************/
void PO_OLED_VCCEN_Write(uint8 value) 
{
    uint8 staticBits = (PO_OLED_VCCEN_DR & (uint8)(~PO_OLED_VCCEN_MASK));
    PO_OLED_VCCEN_DR = staticBits | ((uint8)(value << PO_OLED_VCCEN_SHIFT) & PO_OLED_VCCEN_MASK);
}


/*******************************************************************************
* Function Name: PO_OLED_VCCEN_SetDriveMode
********************************************************************************
*
* Summary:
*  Change the drive mode on the pins of the port.
* 
* Parameters:  
*  mode:  Change the pins to this drive mode.
*
* Return: 
*  None
*
*******************************************************************************/
void PO_OLED_VCCEN_SetDriveMode(uint8 mode) 
{
	CyPins_SetPinDriveMode(PO_OLED_VCCEN_0, mode);
}


/*******************************************************************************
* Function Name: PO_OLED_VCCEN_Read
********************************************************************************
*
* Summary:
*  Read the current value on the pins of the Digital Port in right justified 
*  form.
*
* Parameters:  
*  None
*
* Return: 
*  Returns the current value of the Digital Port as a right justified number
*  
* Note:
*  Macro PO_OLED_VCCEN_ReadPS calls this function. 
*  
*******************************************************************************/
uint8 PO_OLED_VCCEN_Read(void) 
{
    return (PO_OLED_VCCEN_PS & PO_OLED_VCCEN_MASK) >> PO_OLED_VCCEN_SHIFT;
}


/*******************************************************************************
* Function Name: PO_OLED_VCCEN_ReadDataReg
********************************************************************************
*
* Summary:
*  Read the current value assigned to a Digital Port's data output register
*
* Parameters:  
*  None 
*
* Return: 
*  Returns the current value assigned to the Digital Port's data output register
*  
*******************************************************************************/
uint8 PO_OLED_VCCEN_ReadDataReg(void) 
{
    return (PO_OLED_VCCEN_DR & PO_OLED_VCCEN_MASK) >> PO_OLED_VCCEN_SHIFT;
}


/* If Interrupts Are Enabled for this Pins component */ 
#if defined(PO_OLED_VCCEN_INTSTAT) 

    /*******************************************************************************
    * Function Name: PO_OLED_VCCEN_ClearInterrupt
    ********************************************************************************
    * Summary:
    *  Clears any active interrupts attached to port and returns the value of the 
    *  interrupt status register.
    *
    * Parameters:  
    *  None 
    *
    * Return: 
    *  Returns the value of the interrupt status register
    *  
    *******************************************************************************/
    uint8 PO_OLED_VCCEN_ClearInterrupt(void) 
    {
        return (PO_OLED_VCCEN_INTSTAT & PO_OLED_VCCEN_MASK) >> PO_OLED_VCCEN_SHIFT;
    }

#endif /* If Interrupts Are Enabled for this Pins component */ 

#endif /* CY_PSOC5A... */

    
/* [] END OF FILE */
