/*******************************************************************************
* File Name: PO_POWER.h  
* Version 1.80
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PO_POWER_H) /* Pins PO_POWER_H */
#define CY_PINS_PO_POWER_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "PO_POWER_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_80 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 PO_POWER__PORT == 15 && ((PO_POWER__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    PO_POWER_Write(uint8 value) ;
void    PO_POWER_SetDriveMode(uint8 mode) ;
uint8   PO_POWER_ReadDataReg(void) ;
uint8   PO_POWER_Read(void) ;
uint8   PO_POWER_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define PO_POWER_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define PO_POWER_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define PO_POWER_DM_RES_UP          PIN_DM_RES_UP
#define PO_POWER_DM_RES_DWN         PIN_DM_RES_DWN
#define PO_POWER_DM_OD_LO           PIN_DM_OD_LO
#define PO_POWER_DM_OD_HI           PIN_DM_OD_HI
#define PO_POWER_DM_STRONG          PIN_DM_STRONG
#define PO_POWER_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define PO_POWER_MASK               PO_POWER__MASK
#define PO_POWER_SHIFT              PO_POWER__SHIFT
#define PO_POWER_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define PO_POWER_PS                     (* (reg8 *) PO_POWER__PS)
/* Data Register */
#define PO_POWER_DR                     (* (reg8 *) PO_POWER__DR)
/* Port Number */
#define PO_POWER_PRT_NUM                (* (reg8 *) PO_POWER__PRT) 
/* Connect to Analog Globals */                                                  
#define PO_POWER_AG                     (* (reg8 *) PO_POWER__AG)                       
/* Analog MUX bux enable */
#define PO_POWER_AMUX                   (* (reg8 *) PO_POWER__AMUX) 
/* Bidirectional Enable */                                                        
#define PO_POWER_BIE                    (* (reg8 *) PO_POWER__BIE)
/* Bit-mask for Aliased Register Access */
#define PO_POWER_BIT_MASK               (* (reg8 *) PO_POWER__BIT_MASK)
/* Bypass Enable */
#define PO_POWER_BYP                    (* (reg8 *) PO_POWER__BYP)
/* Port wide control signals */                                                   
#define PO_POWER_CTL                    (* (reg8 *) PO_POWER__CTL)
/* Drive Modes */
#define PO_POWER_DM0                    (* (reg8 *) PO_POWER__DM0) 
#define PO_POWER_DM1                    (* (reg8 *) PO_POWER__DM1)
#define PO_POWER_DM2                    (* (reg8 *) PO_POWER__DM2) 
/* Input Buffer Disable Override */
#define PO_POWER_INP_DIS                (* (reg8 *) PO_POWER__INP_DIS)
/* LCD Common or Segment Drive */
#define PO_POWER_LCD_COM_SEG            (* (reg8 *) PO_POWER__LCD_COM_SEG)
/* Enable Segment LCD */
#define PO_POWER_LCD_EN                 (* (reg8 *) PO_POWER__LCD_EN)
/* Slew Rate Control */
#define PO_POWER_SLW                    (* (reg8 *) PO_POWER__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define PO_POWER_PRTDSI__CAPS_SEL       (* (reg8 *) PO_POWER__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define PO_POWER_PRTDSI__DBL_SYNC_IN    (* (reg8 *) PO_POWER__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define PO_POWER_PRTDSI__OE_SEL0        (* (reg8 *) PO_POWER__PRTDSI__OE_SEL0) 
#define PO_POWER_PRTDSI__OE_SEL1        (* (reg8 *) PO_POWER__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define PO_POWER_PRTDSI__OUT_SEL0       (* (reg8 *) PO_POWER__PRTDSI__OUT_SEL0) 
#define PO_POWER_PRTDSI__OUT_SEL1       (* (reg8 *) PO_POWER__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define PO_POWER_PRTDSI__SYNC_OUT       (* (reg8 *) PO_POWER__PRTDSI__SYNC_OUT) 


#if defined(PO_POWER__INTSTAT)  /* Interrupt Registers */

    #define PO_POWER_INTSTAT                (* (reg8 *) PO_POWER__INTSTAT)
    #define PO_POWER_SNAP                   (* (reg8 *) PO_POWER__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_PO_POWER_H */


/* [] END OF FILE */
