/*******************************************************************************
* File Name: TUNE.h  
* Version 1.80
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_TUNE_H) /* Pins TUNE_H */
#define CY_PINS_TUNE_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "TUNE_aliases.h"

/* Check to see if required defines such as CY_PSOC5A are available */
/* They are defined starting with cy_boot v3.0 */
#if !defined (CY_PSOC5A)
    #error Component cy_pins_v1_80 requires cy_boot v3.0 or later
#endif /* (CY_PSOC5A) */

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 TUNE__PORT == 15 && ((TUNE__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

void    TUNE_Write(uint8 value) ;
void    TUNE_SetDriveMode(uint8 mode) ;
uint8   TUNE_ReadDataReg(void) ;
uint8   TUNE_Read(void) ;
uint8   TUNE_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define TUNE_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define TUNE_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define TUNE_DM_RES_UP          PIN_DM_RES_UP
#define TUNE_DM_RES_DWN         PIN_DM_RES_DWN
#define TUNE_DM_OD_LO           PIN_DM_OD_LO
#define TUNE_DM_OD_HI           PIN_DM_OD_HI
#define TUNE_DM_STRONG          PIN_DM_STRONG
#define TUNE_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define TUNE_MASK               TUNE__MASK
#define TUNE_SHIFT              TUNE__SHIFT
#define TUNE_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define TUNE_PS                     (* (reg8 *) TUNE__PS)
/* Data Register */
#define TUNE_DR                     (* (reg8 *) TUNE__DR)
/* Port Number */
#define TUNE_PRT_NUM                (* (reg8 *) TUNE__PRT) 
/* Connect to Analog Globals */                                                  
#define TUNE_AG                     (* (reg8 *) TUNE__AG)                       
/* Analog MUX bux enable */
#define TUNE_AMUX                   (* (reg8 *) TUNE__AMUX) 
/* Bidirectional Enable */                                                        
#define TUNE_BIE                    (* (reg8 *) TUNE__BIE)
/* Bit-mask for Aliased Register Access */
#define TUNE_BIT_MASK               (* (reg8 *) TUNE__BIT_MASK)
/* Bypass Enable */
#define TUNE_BYP                    (* (reg8 *) TUNE__BYP)
/* Port wide control signals */                                                   
#define TUNE_CTL                    (* (reg8 *) TUNE__CTL)
/* Drive Modes */
#define TUNE_DM0                    (* (reg8 *) TUNE__DM0) 
#define TUNE_DM1                    (* (reg8 *) TUNE__DM1)
#define TUNE_DM2                    (* (reg8 *) TUNE__DM2) 
/* Input Buffer Disable Override */
#define TUNE_INP_DIS                (* (reg8 *) TUNE__INP_DIS)
/* LCD Common or Segment Drive */
#define TUNE_LCD_COM_SEG            (* (reg8 *) TUNE__LCD_COM_SEG)
/* Enable Segment LCD */
#define TUNE_LCD_EN                 (* (reg8 *) TUNE__LCD_EN)
/* Slew Rate Control */
#define TUNE_SLW                    (* (reg8 *) TUNE__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define TUNE_PRTDSI__CAPS_SEL       (* (reg8 *) TUNE__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define TUNE_PRTDSI__DBL_SYNC_IN    (* (reg8 *) TUNE__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define TUNE_PRTDSI__OE_SEL0        (* (reg8 *) TUNE__PRTDSI__OE_SEL0) 
#define TUNE_PRTDSI__OE_SEL1        (* (reg8 *) TUNE__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define TUNE_PRTDSI__OUT_SEL0       (* (reg8 *) TUNE__PRTDSI__OUT_SEL0) 
#define TUNE_PRTDSI__OUT_SEL1       (* (reg8 *) TUNE__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define TUNE_PRTDSI__SYNC_OUT       (* (reg8 *) TUNE__PRTDSI__SYNC_OUT) 


#if defined(TUNE__INTSTAT)  /* Interrupt Registers */

    #define TUNE_INTSTAT                (* (reg8 *) TUNE__INTSTAT)
    #define TUNE_SNAP                   (* (reg8 *) TUNE__SNAP)

#endif /* Interrupt Registers */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_TUNE_H */


/* [] END OF FILE */
